Subject: [lojban] Re: open and save

From: Robin Lee Powell <[email-masked]>
Date: Tue, 7 Jan 2003 11:03:24 -0800

On Tue, Jan 07, 2003 at 12:58:52PM -0600, Steven Belknap wrote:
> On Tuesday, January 7, 2003, at 12:05 PM, Robin Lee Powell wrote:
> 
> >On Tue, Jan 07, 2003 at 11:57:21AM -0600, Steven Belknap wrote:
> >>The use of the lojban word <dacru> for a computer file is not
> >>malglico. The analogy of computer file to a paper file is a
> >>language-independent extension of the concept of file to cyberspace.
> >
> >That is *such* incredible crap. There are hundreds of languages that
> >don't even have the *concept* of a file folder.
> 
> Perhaps Maori does not have the concept of a file folder. Anybody who
> lives in a modern industrial state must deal with files.

That doesn't make it language-independent.

> >And dacru isn't a file in that sense anyways, it's a drawer. A
> >*physical* drawer. A *sliding* *compartment*, for crying out loud.
> 
> On my Mac there is a *sliding drawer* which I click on to see my files
> of email messages. 

That's nice. And that's a *folder* in computer parlance, not a *file*.
If you want to use dacru for *folder*, I'd be less annoyed.

> Not all physical file holders are sliding compartments. My reading of
> the definition is that the brackets around "sliding compartment"
> denote a typical instance of a <dacru>, but do not necessarily
> restrict the meaning of the word to physical drawers with sliding
> compartments.
> 
> dacru dac drawer x1 is a drawer/file in structure x2, a [sliding
> compartment] container for contents x3
> 
> There are clear cyber analogues to each of the broda in <dacru>

Umm, the x2 place?

> >><vreji> is not an apt lojban word for file. A file *contains*
> >>records.
> >
> >Umm, BS. Unless you're defining record as an ASCII character or
> >something, I assure you, the vast majority of my files do not, in
> >fact, contain records. They are records (i.e. permanent-ish storage)
> >of data.
> 
> "record" and "file" are useful English terms precisely because they
> distinguish two levels of abstraction about the organization of
> information. Do you have any Microsoft Word files on your computer? 

I may have one somewhere, yes.

> If so, some of your files contain records. 

Umm, how so? Perhaps you are using the term 'file' when you mean
'folder', as I said above.

What do you mean when you say 'record'?

> Your approach would conflate these two levels of abstraction, to the
> detriment of clear expression of an idea.

I don't understand the way you are using these abstractions at all, and
I have a CS degree. Sort of.

-Robin

-- 
http://www.digitalkingdom.org/~rlpowell/ *** I'm a *male* Robin.
.i le pamoi velru'e zo'u jmaji le plibu taxfu
.i le remoi velru'e zo'u mo .i le cimoi velru'e zo'u ba'e prali .uisai
http://www.lojban.org/ *** to sa'a cu'u lei pibyta'u cridrnoma toi